%define origname synce-librapi

Name: librapi
Version: 0.9.3
Release: alt1
Packager: SynCE Development Team <synce@packages.altlinux.org>
Summary: A library that implements RAPI
License: MIT
Group: System/Libraries
Url: http://synce.sourceforge.net
Source: %origname-%version.tar.gz
Patch1: librapi-FUR.patch
Patch2: synce-rapi-x86_64.patch
Patch3: synce-rapi-ld.patch

# Automatically added by buildreq on Sun Apr 25 2004
BuildRequires: check gcc-c++ hostinfo libsynce-devel

# FIXME
BuildRequires: chrpath

Provides: librapi2 = %version-%release
Obsoletes: librapi2

%description
Librapi is part of the SynCE project (%url).

The RAPI library is an open source implementation that works like RAPI.DLL,
available on Microsoft operating systems. The library makes it possible to make
remote calls to a computer running Pocket PC. Documentation for the RAPI calls
is available at this address:

http://msdn.microsoft.com/library/default.asp?url=/library/en-us/wcesdkr/htm/_wcesdk_CeRapiInit.asp

%package devel
Summary: Libraries and headers needed for developing with SynCE
Group: Development/C
Requires: %name = %version

Provides: librapi2-devel = %version-%release
Obsoletes: librapi2-devel

%description devel
Libraries and headers needed for developing with RAPI

%package -n rapi-tools
Summary: Simple command line tools that use RAPI
Group: Communications

Provides: rapi2-tools = %version-%release
Obsoletes: rapi2-tools

%description -n rapi-tools
Simple command line tools that use RAPI

%prep
%setup -q 
#%patch1 -p1
%patch2 -p1
%patch3 -p0

%build
unset CC CXX
%__autoreconf
%configure --disable-rpath
%make_build

%install
%makeinstall
# FIXME: remove this hack upon rpath
# (how to prevent broken one in the first place?)
for i in %buildroot%_bindir/*; do
	case `file -b $i` in
		ELF\ 32-bit\ LSB*|ELF\ 64-bit\ LSB*)	chrpath -d $i;;
	esac
done

%files
%_libdir/*.so.*
%doc README* TODO

%files devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*
#%_datadir/aclocal

%files -n rapi-tools
%_bindir/*
%_man1dir/*

# TODO:
# - proper RPATH handling

%changelog
* Fri Jan 12 2007 Eugene V. Horohorin <genix@altlinux.ru> 0.9.3-alt1
- 0.9.3

* Tue May 02 2006 Eugene V. Horohorin <genix@altlinux.ru> 0.9.1-alt4
- pcp fix on x86_64 (patch by Andrzej Szombierski)

* Sun Feb 26 2006 Eugene V. Horohorin <genix@altlinux.ru> 0.9.1-alt3
- x86_64 support

* Tue Feb 21 2006 Eugene V. Horohorin <genix@altlinux.ru> 0.9.1-alt2
- FUR support

* Sun Jul 24 2005 Eugene V. Horohorin <genix@altlinux.ru> 0.9.1-alt1
- 0.9.1

* Wed Sep 01 2004 Michael Shigorin <mike@altlinux.ru> 0.9.0-alt1
- 0.9.0

* Sun Apr 25 2004 Michael Shigorin <mike@altlinux.ru> 0.8.9-alt1
- 0.8.9

* Thu Dec 18 2003 Michael Shigorin <mike@altlinux.ru> 0.8.1-alt4
- worked around changed behaviour of chrpath regarding non-ELF input

* Wed Dec 17 2003 Michael Shigorin <mike@altlinux.ru> 0.8.1-alt3
- removed *.la *and* uploaded -proper- packages, oops :-)

* Fri Nov 28 2003 Michael Shigorin <mike@altlinux.ru> 0.8.1-alt2
- removed *.la and devel-static subpackage

* Fri Nov 07 2003 Michael Shigorin <mike@altlinux.ru> 0.8.1-alt1
- built for ALT Linux

